Bug 497180 - pop-up regarding mouse battery charge happens repeatedly.
pop-up regarding mouse battery charge happens repeatedly.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 13:29 EDT by Peter Jones
Modified: 2010-06-28 08:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (117.59 KB, text/plain)
2009-04-22 13:30 EDT, Peter Jones
no flags Details
log from devkit-power-daemon (49.15 KB, text/plain)
2009-04-22 15:51 EDT, Peter Jones
no flags Details

  None (edit)
Description Peter Jones 2009-04-22 13:29:41 EDT
Description of problem:  I'm notified that my mouse battery is dying many times per day.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.0-1.fc11.x86_64

How reproducible: it seems to happen whenever the battery is low.

Attached is a long of "devkit-power --monitor-detail".  Note that the two charge values in the log are "14.2857%" and "42.8571%", which are the same value with one character rotated to the end.
Comment 1 Peter Jones 2009-04-22 13:30:51 EDT
Created attachment 340775 [details]
log file
Comment 2 Richard Hughes 2009-04-22 13:47:14 EDT
100/7*1 = 14.285714286 which is the standard CSR mouse value (there are 7 absolute steps)

42.8571 seems to be 3*14.285714286, so your battery seems to alternate between CSR:1 and CSR:3 readings. The fact the readings resemble a RRF seems to be co-incidence :-)

can you get the output of (as root):

killall devkit-power-daemon
/usr/libexec/devkit-power-daemon --verbose

At least showing your mouse transition a few times from CSR:1 to CSR:3.

Maybe an odd question, but is your mouse broken? Could you try another mouse of the same type? Thanks.
Comment 3 Peter Jones 2009-04-22 15:13:01 EDT
Well, the mouse seems to function fine.  I don't have another one to try.  It's labled as:

Logitech
Cordless Optical Mouse
M/N: M-RM67A  P/N: 851497 0000
S/N: LZB20754512
Comment 4 Peter Jones 2009-04-22 15:51:32 EDT
Created attachment 340802 [details]
log from devkit-power-daemon
Comment 5 Bug Zapper 2009-06-09 10:25:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard Hughes 2009-08-20 07:54:12 EDT
Does installing the latest gnome-power-manager and DeviceKit packages in updates-testing (and then rebooting...) fix the problem?


It's a long shot I admit.
Comment 7 Bug Zapper 2010-04-27 09:53:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:10:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.